Skip to content

Firewall (Template) ​

3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getFirewallSettingTemplateGETGet firewall template setting
modifyFirewallSettingTemplatePATCHModify firewall template setting
resetFirewallSettingTemplatePATCHReset firewall template setting

getFirewallSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall

Get firewall template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getFirewallSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyFirewallSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall

Modify firewall template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema FirewallSetting

FieldTypeRequiredDescription
icmpintegeryesICMP should be within the range of 1–2097151.
otherintegeryesOther should be within the range of 1–2097151.
tcpCloseintegeryesTCP close should be within the range of 1–2097151.
tcpCloseWaitintegeryesTCP close wait should be within the range of 1–2097151.
tcpEstablishedintegeryesTCP established should be within the range of 1–2097151.
tcpFinWaitintegeryesTCP FIN wait should be within the range of 1–2097151.
tcpLastAckintegeryesTCP last ACK should be within the range of 1–2097151.
tcpSynReceiveintegeryesTCP SYN receive should be within the range of 1–2097151.
tcpSynSentintegeryesTCP SYN sent should be within the range of 1–2097151.
tcpTimeWaitintegeryesTCP time wait should be within the range of 1–2097151.
udpOtherintegeryesUDP other should be within the range of 1–2097151.
udpStreamintegeryesUDP stream should be within the range of 1–2097151.
broadcastPingbooleanyesBroadcast ping of the firewall setting.
receiveRedirectsbooleanyesReceive redirects of the firewall setting.
sendRedirectsbooleanyesSend redirects of the firewall setting.
synCookiesbooleanyesSYN Cookies of the firewall setting.
json
// omada_call_operation
{
  "operationId": "modifyFirewallSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

resetFirewallSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall/reset

Reset firewall template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "resetFirewallSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Reset firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.